package xn.hxp.ui.plan.already;

import java.util.List;

public class ApplyOrderBean {

    private TypeOtherBean typeOther;
    private TypeOwnerBean typeOwner;

    public TypeOtherBean getTypeOther() {
        return typeOther;
    }

    public void setTypeOther(TypeOtherBean typeOther) {
        this.typeOther = typeOther;
    }

    public TypeOwnerBean getTypeOwner() {
        return typeOwner;
    }

    public void setTypeOwner(TypeOwnerBean typeOwner) {
        this.typeOwner = typeOwner;
    }

    public static class TypeOtherBean {
        private List<String> applicants;
        private List<String> owners;
        private List<String> applyOrderNumbers;

        public List<String> getApplicants() {
            return applicants;
        }

        public void setApplicants(List<String> applicants) {
            this.applicants = applicants;
        }

        public List<String> getOwners() {
            return owners;
        }

        public void setOwners(List<String> owners) {
            this.owners = owners;
        }

        public List<String> getApplyOrderNumbers() {
            return applyOrderNumbers;
        }

        public void setApplyOrderNumbers(List<String> applyOrderNumbers) {
            this.applyOrderNumbers = applyOrderNumbers;
        }
    }

    public static class TypeOwnerBean {
        private List<String> applicants;
        private List<String> owners;
        private List<String> applyOrderNumbers;

        public List<String> getApplicants() {
            return applicants;
        }

        public void setApplicants(List<String> applicants) {
            this.applicants = applicants;
        }

        public List<String> getOwners() {
            return owners;
        }

        public void setOwners(List<String> owners) {
            this.owners = owners;
        }

        public List<String> getApplyOrderNumbers() {
            return applyOrderNumbers;
        }

        public void setApplyOrderNumbers(List<String> applyOrderNumbers) {
            this.applyOrderNumbers = applyOrderNumbers;
        }
    }
}
